%global pypi_name kiwisolver

Name:             python-kiwisolver
Version:          1.4.8
Release:          %mkrel 2
Summary:          A Cassowary constraint solving algorithm
License:          BSD
Group:            Development/Python
URL:              https://pypi.org/project/kiwisolver/
Source0:          %{pypi_source}
BuildRequires:    python3-devel

%description
Kiwi is an efficient C++ implementation of the Cassowary constraint solving
algorithm. Kiwi is an implementation of the algorithm based on the seminal
Cassowary paper. It is not a refactoring of the original C++ solver. Kiwi has
been designed from the ground up to be lightweight and fast. Kiwi ranges from
10x to 500x faster than the original Cassowary solver with typical use cases
gaining a 40x improvement. Memory savings are consistently > 5x. In addition to
the C++ solver, Kiwi ships with hand-rolled Python bindings.

%package -n python3-%{pypi_name}
Summary:        Python3 implementation of Kiwi
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Kiwi is an efficient C++ implementation of the Cassowary constraint solving
algorithm. Kiwi is an implementation of the algorithm based on the seminal
Cassowary paper. It is not a refactoring of the original C++ solver. Kiwi has
been designed from the ground up to be lightweight and fast. Kiwi ranges from
10x to 500x faster than the original Cassowary solver with typical use cases
gaining a 40x improvement. Memory savings are consistently > 5x. In addition to
the C++ solver, Kiwi ships with hand-rolled Python bindings.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files kiwisolver

%files -n python3-kiwisolver -f  %{pyproject_files}
%doc README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.4.8-2.mga10
+ Revision: 2239122
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 1.4.8-1.mga10
+ Revision: 2155856
- new version 1.4.8
- rebuild for python3.13

* Sat Dec 07 2024 eatdirt <eatdirt> 1.4.7-1.mga10
+ Revision: 2122541
- Update to version 1.4.7

* Sun May 05 2024 eatdirt <eatdirt> 1.4.5-1.mga10
+ Revision: 2062314
- Update to version 1.4.5

* Fri Dec 08 2023 wally <wally> 1.4.4-2.mga10
+ Revision: 2015814
- rebuild for py3.12

* Fri Aug 26 2022 eatdirt <eatdirt> 1.4.4-1.mga9
+ Revision: 1880512
- Update to version 1.4.4

* Thu May 05 2022 eatdirt <eatdirt> 1.4.2-1.mga9
+ Revision: 1856429
- Upgrade to version 1.4.2

* Fri Mar 18 2022 umeabot <umeabot> 1.3.2-3.mga9
+ Revision: 1799018
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 1.3.2-2.mga9
+ Revision: 1773610
- Rebuild for python-3.10

* Fri Aug 27 2021 eatdirt <eatdirt> 1.3.2-1.mga9
+ Revision: 1742924
- Update to version 1.3.2

* Mon Mar 15 2021 wally <wally> 1.3.1-2.mga9
+ Revision: 1703572
- rebuild for python 3.9

* Sun Dec 06 2020 eatdirt <eatdirt> 1.3.1-1.mga8
+ Revision: 1653720
- Upgrade to version 1.3.1

* Sat Jul 11 2020 eatdirt <eatdirt> 1.2.0-2.mga8
+ Revision: 1605183
- Add missing BR to cppy
- Upgrade to version 1.2.0

* Sun Feb 16 2020 umeabot <umeabot> 1.1.0-3.mga8
+ Revision: 1531807
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 wally <wally> 1.1.0-2.mga8
+ Revision: 1440988
- rebuild for python3.8
- drop python2 support

* Tue May 21 2019 eatdirt <eatdirt> 1.1.0-1.mga7
+ Revision: 1398757
- Update to version 1.1.0

* Mon Jan 07 2019 shlomif <shlomif> 1.0.1-3.mga7
+ Revision: 1350399
- Rebuild for python3 3.7

* Sun Sep 23 2018 umeabot <umeabot> 1.0.1-2.mga7
+ Revision: 1300512
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 eatdirt <eatdirt> 1.0.1-1.mga7
+ Revision: 1248644
- Fix missing BR
- imported package python-kiwisolver


* Tue Aug 07 2018 Chris Ringeval <eatdirt@mageia.org> 1.0.1
- Imported package python-kiwisolver
